



*Felix Bittmann, 2021

quiet do "Dos/Opera.do
keep if inlist(wave, 1, 2, 5)		//Wellen 1-5 behalten


*Nur Leute, die in Welle 1 ueber der Medianleistung liegen*
sum leistung if wave == 1, det
gen temp1 = 1 if wave == 1 & leistung >= `r(p50)' & !missing(leistung)
replace temp1 = 0 if missing(temp1)
bysort ID_t: egen temp2 = max(temp1)
keep if temp2 == 1
drop temp1 temp2
count if wave == 1


*Nur Leute, die in Welle 1 hohe Aspirationen haben*
gen temp1 = aspi_ideal if wave == 1
bysort ID_t: egen temp2 = max(temp1)
keep if temp2 == 1
drop temp1 temp2
count if wave == 1


keep if alleteilnahmen == 1				//Teilnehmer in W1, W2 und W5
count if wave == 1
keep if sameschool == 1					//Immer gleicher Schultyp W1, W2 und W5
count if wave == 1
drop if missing(gym)					//Schulform immer bekannt
count if wave == 1
bysort ID_t: egen ID_i2 = mode(ID_i), minmode		//Add missing school IDs

	
*** MI ***
keep ID_t wave aspi_ideal female pareduc alter2011 leistung5 osten zusammenleben ///
	migration mean_* score5 speed5 gym
reshape wide aspi_ideal, i(ID_t) j(wave)
mi set flong
mi register imputed female pareduc alter2011 leistung5 osten zusammenleben ///
	migration aspi_ideal* mean_* score5 speed5 gym
mi impute chained (regress) alter2011 score5 speed5 mean_* leistung5 ///
	(logit) aspi_ideal2 aspi_ideal5 female osten zusammenleben gym ///
	(mlogit) migration ///
	(ologit) pareduc ///
	, add(15) burnin(40) rseed(2692) dots force augment
	
quiet mi reshape long aspi_ideal, i(ID_t) j(wave)
summarize *
compress


cap drop ps
gen ps = .
forvalues IMP = 1/15 {
	quiet logit gym i.female i.pareduc alter2011 leistung osten zusammenleben i.migration ///
		score5 speed5 if wave == 1 & _mi_m == `IMP'
	predict temp1 if wave == 1 & _mi_m == `IMP'
	bysort ID_t: egen temp2 = max(temp1)
	replace ps = temp2 if missing(ps) & _mi_m == `IMP'
	drop temp1 temp2
}
		
	


********************************************************************************
*** KHB ***
********************************************************************************
mi estimate, cmdok: ///
	khb logit aspi_ideal i.gym || mean_* ///
		if wave == 2, con(ps) ape 
		
mi estimate, cmdok: ///
	khb logit aspi_ideal i.gym || mean_* ///
		if wave == 5, con(ps) ape

	

	
	
	
